Bug 61536 - usb-uhci issues with kernel-2.4.18-0.4smp
Summary: usb-uhci issues with kernel-2.4.18-0.4smp
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kudzu   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-21 03:59 UTC by Ben Levenson
Modified: 2014-03-17 02:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-04 22:56:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ben Levenson 2002-03-21 03:59:56 UTC
Description of Problem:
the following errors appear in messages and during boot:
test108 modprobe: Hint: insmod errors can be caused by incorrect module 
        parameters, including invalid IO or IRQ parameters
test108 modprobe: /lib/modules/2.4.18-0.4smp/kernel/drivers/usb/usb-uhci.o:
        insmod /lib/modules/2.4.18-0.4smp/kernel/drivers/usb/usb-uhci.o failed
test108 modprobe: /lib/modules/2.4.18-0.4smp/kernel/drivers/usb/usb-uhci.o:
        insmod usb-uhci failed
test108 rc.sysinit: Initializing USB controller (usb-uhci):  failed

Version-Release number of selected component (if applicable):
kernel-2.4.18-0.4smp
Skipjack-re0320.0

How Reproducible:
100%

Additional Information:
from lspci -v:

00:02.2 USB Controller: Intel Corp. 82371AB PIIX4 USB (rev 01) (prog-if 00 [UHCI])
        Flags: medium devsel
        I/O ports at 1020 [size=32]

Also, I can't find any USB ports on the box, and no mention of USB in the 
BIOS settings.

linux-up does weird things in it's own way:
  usb.c: registered new driver usbdevfs
  usb.c: registered new driver hub
  usb-uhci.c: $Revision: 1.275 $ time 10:41:31 Mar 13 2002
  usb-uhci.c: High bandwidth mode enabled
  usb-uhci.c: USB UHCI at I/O 0x1020, IRQ 5
  usb-uhci.c: Detected 2 ports
  usb.c: new USB bus registered, assigned bus number 1
  hub.c: USB hub found
  usb-uhci.c: interrupt, status 2, frame# 30
  usb-uhci.c: Host controller halted, trying to restart.
   <message repeated 4 more times>
  usb-uhci.c: v1.275:USB Universal Host Controller Interface driver
  usb-uhci.c: Host controller halted, trying to restart.
   <message repeated 6 more times>

Each time the system is booted with linux-up, kudzu re-detects/configures
the USB device.

Comment 1 Pete Zaitcev 2002-03-23 06:14:11 UTC
That's a super broken box.
BTW, observe that lspci sees no IRQ, while the driver fetches IRQ 5
from the *pci_dev.

I suggest adding "nousb" to the command line. If kudzu keeps
bouncing after that, take if up with the kudzu owner as well.


Comment 2 Alan Cox 2002-03-25 23:08:24 UTC
Looks like the vendor never fitted USB to the machine but forgot to set the bits
to disable the port in the BIOS. We correctly detect the hardware, we assign an
IRQ thinking the BIOS is PnP mode and as you'd expect the hardware then finds
that the USB link isnt working too well 

Moved to kudzu - Im curious why kudzu doesnt just decide it exists and be done
with it, or decided its horked and settle it for once

Comment 3 Dave Jones 2004-11-27 22:50:08 UTC
RHL7 is end of life, but this bug might still be interesting if its repeatable
with modern distros. Can you find out if this is fixed in latest Fedora release?


Comment 4 Bill Nottingham 2005-02-04 22:56:16 UTC
Closing out bugs on older, no longer supported releases. Apologies for any lack
of response. Please attempt to confirm with more recent releases.


Note You need to log in before you can comment on or make changes to this bug.